<?php
/**
 * Main functions file
 *
 * @package Plug Shop WordPress Theme
 * @subpackage Plug Shop
 * @author Pressfore - www.pressfore.com
 * @since 1.0.0
 */

// Path Constants.
define( 'PLUG_SHOP_DIR', get_template_directory() );
define( 'PLUG_SHOP_CHILD_DIR', get_stylesheet_directory() );

if ( ! defined( 'PLUG_SHOP_DEV' ) ) {
    define( 'PLUG_SHOP_DEV', false );
}

require_once( PLUG_SHOP_DIR . '/inc/template-tags.php' );

// Includes.
plug_shop_include_file( '/inc/plugins/class-tgm-plugin-activation.php' );
plug_shop_include_file( '/inc/plugins/plugins.php' );
plug_shop_include_file( '/inc/classes/class-breadcrumbs.php' );
plug_shop_include_file( '/inc/welcome-screen/welcome-screen.php' );
plug_shop_include_file( '/inc/woocommerce.php' );

// Customizer.
plug_shop_include_file( '/inc/customizer.php' );

// Third party plugins support.
plug_shop_include_file( '/inc/jetpack.php' );

// Core files.
plug_shop_include_file( '/core/admin.php' );
plug_shop_include_file( '/core/core.php' );
plug_shop_include_file( '/core/header.php' );
plug_shop_include_file( '/core/custom-header.php' );
plug_shop_include_file( '/core/meta.php' );
plug_shop_include_file( '/core/title.php' );
plug_shop_include_file( '/core/content.php' );
plug_shop_include_file( '/core/homepage.php' );
plug_shop_include_file( '/core/content-custom.php' );
plug_shop_include_file( '/core/sidebar.php' );
plug_shop_include_file( '/core/blog.php' );
plug_shop_include_file( '/core/single.php' );
plug_shop_include_file( '/core/footer.php' );
plug_shop_include_file( '/core/customizer-styles.php' );
plug_shop_include_file( '/core/extra.php' );
plug_shop_include_file( '/core/menu.php' );